package App::POS::Printer::Custom_TG2460;

use strict;
use warnings;

use base qw( App::POS::Printer::EpsonTM88 );

sub tweak_content {}

sub justify_left {
  return
    chr(27).
    chr(97).
    chr(0);
}

sub justify_center {
  return
    chr(27).
    chr(97).
    chr(1);
}

sub justify_right {
  return
    chr(27).
    chr(97).
    chr(2);
}

sub print_invert {
  return
    chr(27).
    chr(123).
    chr(1);
}

sub paper_cut {
  return
    chr(28).
    chr(192).
    chr(52);
}

sub size_normal { "" }

sub size_double {
  my $self = shift;
  return $self->size_normal();
}

sub document_start {
  return
    chr(27)."@".
    chr(27).
    chr(33).
    chr(1);
}


1;

